# ankan 5-Apr-2003
# Quick and dirty MMS makefile adapted from what the configure spits out.
# In theory, one should be able to use GNV to run configure, I couldn't
# get that to work in the time alloted, so here we go:
#
# VPATH
srcdir = .
VPATH = .

#
# Use /NOWARNING since this is UNIX code...
#
cc_defs = /DEFINE=("HAVE_CONFIG_H")/NOWARN/nomember_align
c_deb = /debug/noopt

pref = /name=(as_is, shortened)

CCOPT = /LIS
INCLS = /INCLUDE=PCAPDIR:
LIBS = TCPDUMP.OLB/LIB, PCAPDIR:PCAP.OLB/LIB

# Standard CFLAGS
CFLAGS = $(C_DEB) $(CC_DEFS) $(PREF) $(INCLS)

# Standard LDFLAGS
LDFLAGS = /DEBUG/SYSEXE

INSTALL = /gnu/bin/install -c

#
# Our sources...
#
CSRC =	addrtoname.c gmt2local.c machdep.c parsenfsfh.c \
	print-802_11.c print-ah.c print-arcnet.c print-arp.c \
	print-ascii.c print-atalk.c print-atm.c print-bgp.c \
	print-bootp.c print-beep.c print-cdp.c print-chdlc.c \
	print-cip.c print-cnfp.c print-decnet.c print-domain.c \
	print-dvmrp.c print-egp.c print-esp.c print-ether.c \
	print-fddi.c print-gre.c print-hsrp.c print-icmp.c \
	print-igmp.c print-igrp.c print-ip.c print-ipcomp.c \
	print-ipx.c print-isakmp.c print-isoclns.c print-krb.c \
	print-l2tp.c print-lane.c print-lcp.c print-llc.c print-lwres.c \
	print-msdp.c print-mobile.c print-mpls.c print-nfs.c \
	print-ntp.c print-null.c print-ospf.c print-pim.c \
	print-ppp.c print-pppoe.c print-pptp.c print-radius.c \
	print-raw.c print-rip.c print-rx.c print-sctp.c \
	print-sl.c print-sll.c print-snmp.c \
	print-stp.c print-sunrpc.c print-tcp.c \
	print-telnet.c print-tftp.c print-timed.c print-token.c \
	print-udp.c print-vjc.c print-vrrp.c print-wb.c print-zephyr.c \
	setsignal.c tcpdump.c util.c

#
# Our objects, I had to skip some print modules (SCTP, TFTP)
#
OBJS =	addrtoname.obj gmt2local.obj machdep.obj parsenfsfh.obj \
	print-802_11.obj print-ah.obj print-arcnet.obj print-arp.obj \
	print-ascii.obj print-atalk.obj print-atm.obj print-bgp.obj \
	print-bootp.obj print-beep.obj print-cdp.obj print-chdlc.obj \
	print-cip.obj print-cnfp.obj print-decnet.obj print-domain.obj \
	print-dvmrp.obj print-egp.obj print-esp.obj print-ether.obj \
	print-fddi.obj print-gre.obj print-hsrp.obj print-icmp.obj \
	print-igmp.obj print-igrp.obj print-ip.obj print-ipcomp.obj \
	print-ipx.obj print-isakmp.obj print-isoclns.obj print-krb.obj \
	print-l2tp.obj print-lane.obj print-lcp.obj print-llc.obj print-lwres.obj \
	print-msdp.obj print-mobile.obj print-mpls.obj print-nfs.obj \
	print-ntp.obj print-null.obj print-ospf.obj print-pim.obj \
	print-ppp.obj print-pppoe.obj print-pptp.obj print-radius.obj \
	print-raw.obj print-rip.obj print-rx.obj  \
	print-sl.obj print-sll.obj print-snmp.obj \
	print-stp.obj print-sunrpc.obj print-tcp.obj \
	print-telnet.obj  print-timed.obj print-token.obj \
	print-udp.obj print-vjc.obj print-vrrp.obj print-wb.obj \
	print-zephyr.obj \
	setsignal.obj tcpdump.obj util.obj

GENSRC = version.c

SRC =	$(CSRC)

HDR =   addrtoname.h appletalk.h bootp.h decnet.h \
	ethertype.h extract.h fddi.h gmt2local.h igrp.h interface.h \
	ipx.h llc.h machdep.h mib.h nfsfh.h nfsv2.h ntp.h ospf.h \
	setsignal.h \
	gnuc.h ipsec_doi.h isakmp.h l2tp.h nameser.h \
	netbios.h oakley.h ospf6.h ppp.h route6d.h


all : TCPDUMP.EXE
	@ write sys$output "Done..."

TCPDUMP.OLB : TCPDUMP.OLB($(OBJS))
	@ write sys$output "tcpdmp.olb built..."

#
# If we're building against the VCI version of the pcap library we
# need /sysexe. For the LAN version this is a noop.
#
TCPDUMP.EXE : TCPDUMP.OLB
	link/sysexe/exe=tcpdump tcpdump, $(LIBS)

